From: Bryn Reeves <breeves@redhat.com>

Adds Kconfig & Makefile support needed by dm-loop.patch

Signed-off-by: Bryn Reeves <breeves@redhat.com>
---

===================================================================
---
 drivers/md/Kconfig  |    9 +++++++++
 drivers/md/Makefile |    1 +
 2 files changed, 10 insertions(+)

Index: linux-2.6.24-rc5/drivers/md/Kconfig
===================================================================
--- linux-2.6.24-rc5.orig/drivers/md/Kconfig	2008-01-02 19:10:58.000000000 +0000
+++ linux-2.6.24-rc5/drivers/md/Kconfig	2008-01-02 19:11:00.000000000 +0000
@@ -229,6 +229,15 @@ config DM_CRYPT
 
 	  If unsure, say N.
 
+config DM_LOOP
+	tristate "Loop target (EXPERIMENTAL)"
+	depends on BLK_DEV_DM && EXPERIMENTAL
+	---help---
+	  This device-mapper target allows you to treat a regular file as
+	  a block device.
+
+	  If unsure, say N.
+
 config DM_SNAPSHOT
        tristate "Snapshot target (EXPERIMENTAL)"
        depends on BLK_DEV_DM && EXPERIMENTAL
Index: linux-2.6.24-rc5/drivers/md/Makefile
===================================================================
--- linux-2.6.24-rc5.orig/drivers/md/Makefile	2008-01-02 19:10:58.000000000 +0000
+++ linux-2.6.24-rc5/drivers/md/Makefile	2008-01-02 19:11:00.000000000 +0000
@@ -34,6 +34,7 @@ obj-$(CONFIG_BLK_DEV_MD)	+= md-mod.o
 obj-$(CONFIG_BLK_DEV_DM)	+= dm-mod.o
 obj-$(CONFIG_DM_CRYPT)		+= dm-crypt.o
 obj-$(CONFIG_DM_DELAY)		+= dm-delay.o
+obj-$(CONFIG_DM_LOOP)		+= dm-loop.o
 obj-$(CONFIG_DM_MULTIPATH)	+= dm-multipath.o dm-round-robin.o
 obj-$(CONFIG_DM_MULTIPATH_EMC)	+= dm-emc.o
 obj-$(CONFIG_DM_MULTIPATH_HP)	+= dm-hp-sw.o
